This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 540885 - (cableswig) Review Request: CableSwig - Create interfaces to interpreted languages for templated code
Review Request: CableSwig - Create interfaces to interpreted languages for te...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-24 08:09 EST by Mario Ceresa
Modified: 2011-09-18 14:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: CableSwig-3.20.0-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-17 00:50:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mario Ceresa 2009-11-24 08:09:10 EST
Spec URL: http://www.4shared.com/file/158702324/388014a1/cableswig.html
SRPM URL: http://www.4shared.com/file/158702512/fe439ee5/cableswig-cvs20091120-1fc12src.html

Description: 

CableSwig is used to create interfaces (i.e. "wrappers") to languages such as Java, Tcl and Python. It was created to produce wrappers for ITK
because the toolkit uses C++ structures that SWIG cannot parse (deeply nested
template instantiations). CableSwig is a combination tool that uses  GCC_XML as
the c++ parser. The input files are  Cable style input files. The XML produced
from the Cable/GCC_XML input files are then parsed and feed into a modified
version of  SWIG. SWIG is a software development tool that connects programs
written in C and C++ with a variety of high-level programming languages. It is
used to generate the language bindings to the target language. 

This is my second package! (but my first one at https://bugzilla.redhat.com/show_bug.cgi?id=539387 still needs some love from reviewers :( )

$ rpmlint cableswig-cvs20091120-1.fc12.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint cableswig.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint RPMS/i686/cableswig-cvs20091120-1.fc12.i686.rpm
cableswig.i686: W: incoherent-version-in-changelog cableswig-cvs20091120-1.fc12 ['cvs20091120-1.fc12', 'cvs20091120-1']
cableswig.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint RPMS/i686/cableswig-devel-cvs20091120-1.fc12.i686.rpm
cableswig-devel.i686: W: manpage-not-compressed-with-gzip /usr/lib/CableSwig/share/man/man1/gccxml.1
cableswig-devel.i686: W: only-non-binary-in-usr-lib
cableswig-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 1 Mamoru TASAKA 2009-11-28 12:35:59 EST
Do you have any place which you can put your spec/srpm on and
we can download them by wget (for example) directly from?

If not, you can check:
https://fedoraproject.org/wiki/Fedorapeople.org
and you can have about 150 MiB on fedorapeople.org.
Comment 2 Mario Ceresa 2009-12-01 03:42:59 EST
Hello Mamoru, thanks for your comment. 
I looked at fedora people, but it seems I'd need to be already sponsored in order to get the space. 

A friend of mine could host them for a while at:
ftp://85.54.198.199/FEDORA/cableswig-cvs20091120-1.fc12.src.rpm
ftp://85.54.198.199/FEDORA/cableswig.spec
ftp://85.54.198.199/FEDORA/InsightToolkit-3.16.0-1.fc12.src.rpm
ftp://85.54.198.199/FEDORA/InsightToolkit.spec

I'm looking forward to hearing from you soon,

Mario
Comment 3 Peter Lemenkov 2009-12-01 06:15:05 EST
Removing FE-NEEDSPONSOR - I just sponsored Mario
Comment 4 Peter Lemenkov 2009-12-01 06:15:50 EST
I'll review it.
Comment 5 Mario Ceresa 2009-12-02 11:10:37 EST
Thanks to Peter sponsorship I could activate my fedorapeople account. Thus from now on the updated srpms/spec locations will be:

http://mrceresa.fedorapeople.org/cableswig.spec
http://mrceresa.fedorapeople.org/cableswig-cvs20091120-1.fc12.src.rpm

Mario
Comment 8 Mario Ceresa 2010-09-18 05:43:42 EDT
Updated to new release (3.20):

http://mrceresa.fedorapeople.org/CableSwig-3.20.0-1.fc12.src.rpm
http://mrceresa.fedorapeople.org/CableSwig.spec

I also changed the name to CableSwig because this is the way developers refers to it.
Comment 9 Mario Ceresa 2010-09-18 06:24:02 EDT
Removed "dist" tag from changelog:

http://mrceresa.fedorapeople.org/CableSwig-3.20.0-2.fc12.src.rpm
http://mrceresa.fedorapeople.org/CableSwig.spec

Builds correctly in mock and koji (i686 and x86_64):

https://koji.fedoraproject.org/koji/taskinfo?taskID=2474720
Comment 10 Mario Ceresa 2010-09-22 09:32:51 EDT
Hello Peter,
thanks for your work on removing GCC, GCC-XML and expat from the bundled libraries.

Even if we need to work a little bit more the patch to remove expat, I updated the location of the packages with what we've done so far:

http://mrceresa.fedorapeople.org/CableSwig-3.20.0-3.fc12.src.rpm
http://mrceresa.fedorapeople.org/CableSwig.spec
Comment 12 Peter Lemenkov 2010-09-23 01:43:08 EDT
Ok, good.

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent

Sulaco ~: rpmlint Desktop/CableSwig-*
CableSwig.ppc: W: spelling-error Summary(en_US) templated -> templates, template, temp lated
CableSwig.ppc: W: no-documentation
CableSwig.ppc: W: no-manual-page-for-binary cswig
CableSwig.ppc: W: no-manual-page-for-binary cableidx
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
Sulaco ~: 

+ The package is named according to the  Package Naming Guidelines .
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license. (BSD)
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source, as provided in the spec URL.

Sulaco ~/rpmbuild/SOURCES: sha256sum CableSwig-ITK-3.20.0.tar.gz*
0faef127a9881212faf3e9105d77637ba124cc48d10446005a515ed2502828b6  CableSwig-ITK-3.20.0.tar.gz
0faef127a9881212faf3e9105d77637ba124cc48d10446005a515ed2502828b6  CableSwig-ITK-3.20.0.tar.gz.1
Sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 The package does not store shared library files in any of the dynamic linker's default paths.

+/- The package does bundle copy of application, already available in Fedora, - SWIG. But the whole idea of CableSwig is to fork SWIG and deeply patch it. More to say - SWIG doesn't provide a library to ling against it, so if anyone would like to re-use SWIG codebase, then there is no other way when forking it. So this is NOT a blocker.

0 The package is NOT designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/CPP header files.
0 No static libraries.
0 The package does not contain library files.
0 No devel sub-package
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application
+ The packages does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.


This package is


APPROVED.
Comment 13 Mario Ceresa 2010-09-23 03:11:11 EDT
New Package SCM Request
=======================
Package Name: CableSwig
Short Description: Create interfaces to interpreted languages for templated code
Owners: mrceresa
Branches: f12 f13 f14 el6 el5
InitialCC: mrceresa
Comment 14 Kevin Fenzi 2010-09-25 00:46:21 EDT
The Bug summary and package name in the request don't match up. ;( 

Can you fix the bug summary or name in the request and reset the fedora-cvs flag?
Comment 15 Mario Ceresa 2010-09-26 11:58:25 EDT
Hello Kevin,
sorry for the mispelling. Is this right now?

Thanks

Mario

New Package SCM Request
=======================
Package Name: CableSwig
Short Description: Create interfaces to interpreted languages for templated
code
Owners: mrceresa
Branches: f12 f13 f14 el6 el5
InitialCC: mrceresa
Comment 16 Kevin Fenzi 2010-09-26 14:47:22 EDT
Git done (by process-git-requests).
Comment 17 Fedora Update System 2010-10-01 02:23:13 EDT
CableSwig-3.20.0-3.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/CableSwig-3.20.0-3.fc12
Comment 18 Fedora Update System 2010-10-01 02:23:31 EDT
CableSwig-3.20.0-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/CableSwig-3.20.0-3.fc13
Comment 19 Fedora Update System 2010-10-05 05:26:07 EDT
CableSwig-3.20.0-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update CableSwig'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/CableSwig-3.20.0-3.fc13
Comment 20 Fedora Update System 2010-10-17 00:50:43 EDT
CableSwig-3.20.0-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2010-10-17 00:51:55 EDT
CableSwig-3.20.0-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2010-10-19 02:40:20 EDT
CableSwig-3.20.0-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/CableSwig-3.20.0-3.fc14
Comment 23 Fedora Update System 2010-11-11 17:18:00 EST
CableSwig-3.20.0-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.